Bug 194228 - Mke2fs not compatible with ipodlinux
Mke2fs not compatible with ipodlinux
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 10:14 EDT by Penelope Fudd
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 15:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2006-06-06 10:14:09 EDT
Description of problem:
The linux kernel provided with ipodlinux can't boot from an ext2 filesystem
created with Fedora's mke2fs command.

Version-Release number of selected component (if applicable):
e2fsprogs-1.38-12, e2fsprogs-1.38-0.FC4.1

How reproducible:
Always.

Steps to Reproduce:
1. Plug in a 60Gig 5G (video) ipod
2. mke2fs /dev/sdb3
3. 
  
Actual results:
It looks like it works, until you reboot, then you get these errors:
VFS: Mounted root (ext2 filesystem).
Mounted devfs on /dev
Freeing init memory: 64K
attempt to access beyond end of device
03:03: rw=0, want=2037609827, limit=128520
attempt to access beyond end of device
03:03: rw=0, want=2037609827, limit=128520
attempt to access beyond end of device
03:03: rw=0, want=1852400244, limit=128520
attempt to access beyond end of device
03:03: rw=0, want=1852400244, limit=128520
attempt to access beyond end of device
03:03: rw=0, want=1852400244, limit=128520
Kernel panic: No init found.  Try passing init= option to kernel.

This happens with 'mke2fs /dev/sdb3' and 'mke2fs -r 0 /dev/sdb3'.  Using mke2fs
from a live-cd distribution (Slax KillBill)
(http://slax.linux-live.org/download.php) works.

Expected results:
No error, and a successful boot?

Additional info:
I've been frustrated for days by this bug.  Other people with the same version
of mke2fs and ext2fs library on Gentoo and Debian don't have this problem.

See http://ipodlinux.org/forums/viewtopic.php?p=105478#105478
Comment 1 Penelope Fudd 2006-06-14 19:03:48 EDT
In short, has RedHat made incompatible changes to mke2fs?
Comment 2 Stephen Tweedie 2006-06-15 11:45:06 EDT
We have made no incompatible changes that I am aware of.  We _have_ switched
mke2fs to enable online_resize by default, but that's a compatible change. 
That's not Red Hat-specific, either: the code is already in upstream e2fsprogs
and has just been made the default for upstream mke2fs in e2fsprogs-1.39, too,
so other distros will be picking up that default also.

Does "mke2fs -O ^resize_inode" help?
Comment 4 Penelope Fudd 2007-02-10 17:35:19 EST
Sorry, since getting it working, I haven't been motivated enough to reformat and
start over.
Comment 5 Eric Sandeen 2007-05-05 13:48:05 EDT
Weird.  The erroneous offsets, in hex, are ascii.

attempt to access beyond end of device
03:03: rw=0, want=2037609827, limit=128520

obase=16
2037609827
79737563

Liberator:~ sandeen$ echo -n "ysuc" | hexdump -C
00000000  79 73 75 63                                       |ysuc|

attempt to access beyond end of device
03:03: rw=0, want=1852400244, limit=128520

obase=16
1852400244
6E696274

Liberator:~ sandeen$ echo -n "nibt" | hexdump -C
00000000  6e 69 62 74                                       |nibt|

it would have been nice if the 'attempt to access' message had given us a
backtrace of how we got there.
Comment 6 Eric Sandeen 2007-09-07 15:10:17 EDT
I don't have an ipod I can test this with.  Either someone can send me one ;-)
or if anyone runs into this again, please let me know by re-opening this bug. 
(Or if the original reporter ever re-tests...)  Until then, I don't think
there's anything I can do with the (little) information I have here.

-Eric

Note You need to log in before you can comment on or make changes to this bug.